require 'msgpack_rpc_server'

class Handler

	def echo(arg); arg; end

	def close; nil; end
end

config = {:uid => 'nobody', 
	  :gid => 'nobody', 
	  :listen_ip => '127.0.0.1',   # '0.0.0.0' for listening to all incoming connections
	  :port => 9000,
	  :dir => '.',
	  :app_name => 'rpc-server-template', 
	  # see http://daemons.rubyforge.org/classes/Daemons.html
	  :ontop => false, 
	  :backtrace => true, 
	  #:dir_mode => :system, # write to /var/run and /var/log
	  :log_output => true
}

MsgPackRPCServer.new(config, Handler.new).run
